%define gtk_version 2.14
%define gconf_version 2.14
%define unique_version 0.9.3
%define gstreamer_version 0.10
%define jack_version 0.102.29
%define samplerate_version 0.1.2
%define soundtouch_version 1.3.1
%define intltool_version 0.21

Name:           marlin
Version:        0.13
Release:        6%{?dist}
Summary:        A Sound Sample Editor for GNOME

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://live.gnome.org/Marlin
Source0:        http://folks.o-hand.com/iain/%{name}-releases/%{name}-%{version}.tar.bz2
# Patch filed upstream at http://bugzilla.gnome.org/show_bug.cgi?id=572749
Patch0:         %{name}-%{version}-link-fix.patch
# Patch filed upstream at http://bugzilla.gnome.org/show_bug.cgi?id=572750
Patch1:         %{name}-%{version}-icon-path.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  GConf2-devel >= %{gconf_version}
BuildRequires:  gtk2-devel >= %{gtk_version}
BuildRequires:  unique-devel >= %{unique_version}
BuildRequires:  gstreamer-devel >= %{gstreamer_version}
BuildRequires:  gstreamer-plugins-base-devel >= %{gstreamer_version}
BuildRequires:  jack-audio-connection-kit-devel >= %{jack_version}
BuildRequires:  libsamplerate-devel >= %{samplerate_version}
BuildRequires:  soundtouch-devel >= %{soundtouch_version}
BuildRequires:  intltool >= %{intltool_version}
BuildRequires:  desktop-file-utils
BuildRequires:  libtool
BuildRequires:  scrollkeeper

Requires(pre):    GConf2 >= %{gconf_version}
Requires(post):   GConf2 >= %{gconf_version}
Requires(preun):  GConf2 >= %{gconf_version}
Requires(post):   scrollkeeper
Requires(postun): scrollkeeper

%description
Marlin aims to be a fully featured and powerful sample editor for the
GNOME2 platform.

%prep
%setup -q
%patch0 -p1 -b .link-fix
%patch1 -p1 -b .icon-path

%build
%configure

#use system libtool to disable standard RPATH
make %{?_smp_mflags} LIBTOOL=%{_bindir}/libtool

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%find_lang %{name} --with-gnome
desktop-file-install                                    \
        --dir %{buildroot}%{_datadir}/applications      \
        --delete-original                               \
        %{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/%{name}.schemas
 >& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` 
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%post
/sbin/ldconfig
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
update-desktop-database &> /dev/null || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` 
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor ||:
fi

%postun
/sbin/ldconfig
scrollkeeper-update -q || :
update-desktop-database &> /dev/null || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README NEWS
%{_bindir}/%{name}
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_libdir}/*.so.*
%{_libdir}/%{name}-%{version}/*.so.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}/
%exclude %{_libdir}/*.so
%exclude %{_libdir}/*.la
%exclude %{_libdir}/*.a
%exclude %{_libdir}/%{name}-%{version}/*.a
%exclude %{_libdir}/%{name}-%{version}/*.la
%exclude %{_libdir}/%{name}-%{version}/*.so
%exclude %{_includedir}/lib%{name}/

%changelog
* Thu Jan 28 2010 Dodji Seketeli <dodji@redhat.com> - 0.13-6
- Add scrollkeeper BuildRequires

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Feb 22 2009 Dodji Seketeli <dodji@redhat.org> 0.13-4
- Patch to fix broken application menu icon installation

* Thu Feb 19 2009 Dodji Seketeli <dodji@redhat.org> 0.13-3
- Remove --vendor from desktop-file-install
- Remove 'Requires(post)/(postun): desktop-file-utils'
- Use system libtool to disable standard rpath

* Wed Feb 18 2009 Dodji Seketeli <dodji@redhat.org> 0.13-2
- Killed $RPM_BUILD_ROOT in favour of %%{buildroot}
- Added a %%pre section to remove potentially
- Fix scrollkeeper-update and update-desktop-database scriptlets.
- Added correct Requires(post[un]) for desktop-file-utils


* Tue Feb 17 2009 Dodji Seketeli <dodji@redhat.org> 0.13-1
- Initial import

